api_shop_messaging_get_messages:
    path: /shop/messages
    controller: App\Controller\Shop\ShopMessagingController::getMessages
    methods: [GET]

api_shop_messaging_send_message:
    path: /shop/messages
    controller: App\Controller\Shop\ShopMessagingController::sendMessage
    methods: [POST]

api_shop_taxons_get_list:
    path: /shop/categoriesList/index
    controller: App\Controller\Shop\ProductController::getCategoriesList
    methods: [ GET ]

api_shop_get_products_list:
    path: /shop/products
    controller: App\Controller\Shop\ProductController::getList
    methods: [ GET ]

api_shop_get_cart_item:
    path: /shop/cart
    controller: App\Controller\Shop\CartController::getCartItem
    methods: [ GET ]

api_shop_custom_add_to_cart:
    path: /shop/cart/add-direct
    controller: App\Controller\Shop\OrderItemController::addDirectlyToCart
    methods: [POST]

api_shop_order_item_note:
    path: /shop/order-item/note
    controller: App\Controller\Shop\OrderItemController::orderItemNote
    methods: [POST]

api_shop_cart_checkout:
    path: /shop/cart-checkout
    controller: App\Controller\Shop\CustomCheckoutController::checkout
    methods: [ POST ]
    
api_shop_cart_clear:
    path: /shop/cart/clear
    controller: App\Controller\Shop\CartController::clearCart
    methods: [ POST ]
    
api_shop_order_list:
    path: /shop/order/get-list/{current}/{pageSize}
    controller: App\Controller\Shop\CustomOrderController::getListPaginate
    methods: [ GET ]
    
api_shop_api_order_get_by_id:
    path: /shop/order/get/{id}
    controller: App\Controller\Api\ApiOrderController::getById
    methods: [ GET ]
    
api_shop_get_representative_customers:
    path: /shop/representative/customers
    controller: App\Controller\Api\ApiCustomerController::getRepresentativeCustomers
    methods: [ GET ]
    
api_shop_get_customer_info:
    path: /shop/customer/{id}/info
    controller: App\Controller\Api\ApiCustomerController::getCustomerInfoById
    methods: [ GET ]
    
api_shop_get_customer_order_list:
    path: /shop/order/get-list-by-customer/{customerId}/{limit}
    controller: App\Controller\Api\ApiOrderController::getListForCustomer
    methods: [ GET ]

api_shop_impersonate_customer:
    path: /shop/impersonate/{id}
    controller: App\Controller\Api\ApiCustomerController::impersonateCustomerApi
    methods: [ POST ]
    
api_shop_get_shipping_addresses:
    path: /shop/shipping/addresses
    controller: App\Controller\Shop\CartController::getShippingAddresses
    methods: [ GET ]
     
api_shop_get_shopping_lists:
    path: /shop/shopping-lists/
    controller: App\Controller\Shop\ShoppingListController::index
    methods: [ GET ]
    
api_shop_get_shopping_lists_get_by_id:
    path: /shop/shopping-lists/get-list-by-id/{id}
    controller: App\Controller\Shop\ShoppingListController::show
    methods: [ GET ]
    
api_shop_get_shopping_list_show_products:
    path: /shop/shopping-lists/show
    controller: App\Controller\Shop\ProductController::showShoppingList
    methods: [ POST ]
  
api_shop_get_shopping_list_add_product:
    path: /shop/shopping-lists/{id}/add-product
    controller: App\Controller\Shop\ShoppingListController::addProduct
    methods: [ POST ]
    
api_shop_get_shopping_list_remove_product:
    path: /shop/shopping-lists/{id}/remove-product
    controller: App\Controller\Shop\ShoppingListController::removeProduct
    methods: [ DELETE ]
    
api_shop_get_shopping_list_create:
    path: /shop/shopping-lists/create
    controller: App\Controller\Shop\ShoppingListController::create
    methods: [ POST ]
    
api_shop_get_shopping_list_delete:
    path: /shop/shopping-lists/delete/{id}
    controller: App\Controller\Shop\ShoppingListController::delete
    methods: [ DELETE ]
    
api_mobile_app_config:
    path: /shop/mobile/app-config
    controller: App\Controller\Api\AppConfigController::__invoke
    methods: [ GET ]
    
api_mobile_get_products_new_count:
    path: /shop/products/new/count
    controller: App\Controller\Shop\ProductController::getNewProductCount
    methods: [ GET ]

api_mobile_auth_password_status:
    path: /shop/auth/password-status
    controller: App\Controller\Api\AuthentificationController::__invoke
    methods: [ GET ]

api_mobile_auth_change_password:
    path: /shop/auth/change-password
    controller: App\Controller\Api\AuthentificationController::changePassword
    methods: [ POST ]

api_mobile_shop_user_list_by_customer:
    path: /shop/list-by-customer
    controller: App\Controller\Shop\ShopCustomerController::getShopUsersByCustomer
    methods: [ POST ]
    
api_mobile_shop_user_send_invitation    :
    path: /shop/send-invitation
    controller: App\Controller\Shop\ShopCustomerController::sendShopUserInvitation
    methods: [ POST ]
    
    


    
